<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- Edited by XMLSpy -->
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
     <xsl:template match="/">
        <html>
            <body>
                <h2>My CD Collection</h2>
                <table border="1">
                    <tr>
                        <th>Title</th>
                        <th>Artist</th>
                    </tr>
                    <xsl:apply-templates select="catalog/cd">
                        <xsl:sort select="title" data-type="text" order="descending"></xsl:sort>
                    </xsl:apply-templates>  
                </table>
            </body>
        </html>
    </xsl:template>
    <!-- With 2 Steps -->
    <xsl:template match="cd">
        <tr>           
            <xsl:apply-templates select="title"></xsl:apply-templates>
            <xsl:apply-templates select="artist"></xsl:apply-templates>
        </tr>
    </xsl:template>    
    
    <xsl:template match="title">
        <td><xsl:value-of select="."/></td>
    </xsl:template>
    <xsl:template match="artist">
        <td> <xsl:apply-templates></xsl:apply-templates></td>
    </xsl:template>
    
    
    <!-- With 1 step 
    <xsl:template match="cd">
        <tr>           
            <td><xsl:value-of select="title"/></td>
            <td><xsl:value-of select="artist"/></td>
        </tr>
    </xsl:template>    
    -->
   
</xsl:stylesheet>